<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_241) on Wed Apr 15 17:44:51 EEST 2020 -->
<title>ClientDAO</title>
<meta name="date" content="2020-04-15">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClientDAO";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../databaseaccess/OrderDAO.html" title="class in databaseaccess"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?databaseaccess/ClientDAO.html" target="_top">Frames</a></li>
<li><a href="ClientDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">databaseaccess</div>
<h2 title="Class ClientDAO" class="title">Class ClientDAO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>databaseaccess.ClientDAO</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ClientDAO</span>
extends java.lang.Object</pre>
<div class="block">Aceasta clasa se ocupa cu diverse interogari pe tabela Clients.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../databaseaccess/ClientDAO.html#ClientDAO--">ClientDAO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../databaseaccess/ClientDAO.html#deleteClient-java.lang.String-java.lang.String-">deleteClient</a></span>(java.lang.String&nbsp;name,
            java.lang.String&nbsp;address)</code>
<div class="block">Metoda care se ocupa de stegerea unui client din Clients.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../model/Client.html" title="class in model">Client</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../databaseaccess/ClientDAO.html#findById-int-">findById</a></span>(int&nbsp;clientID)</code>
<div class="block">Aceasta metoda face o cautare dupa id in tabela Clients, returnand clientul corespunzator id ului trimis ca parametru.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../databaseaccess/ClientDAO.html#findByName-java.lang.String-">findByName</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Aceasta metoda face o cautarea dupa nume in tabela Clients, returnand id-ul persoanei cu numele trimis ca parametru.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../databaseaccess/ClientDAO.html#insertClient-model.Client-">insertClient</a></span>(<a href="../model/Client.html" title="class in model">Client</a>&nbsp;client)</code>
<div class="block">Metoda care se ocupa de inserarea unui client in tabela Clients.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static java.sql.ResultSet</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../databaseaccess/ClientDAO.html#reportClients--">reportClients</a></span>()</code>
<div class="block">Aceasta metoda executa "SELECT * FROM Clients" pentru a oferi mai departe toate datele din tabela Clients.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ClientDAO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ClientDAO</h4>
<pre>public&nbsp;ClientDAO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="deleteClient-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteClient</h4>
<pre>public static&nbsp;int&nbsp;deleteClient(java.lang.String&nbsp;name,
                               java.lang.String&nbsp;address)</pre>
<div class="block">Metoda care se ocupa de stegerea unui client din Clients.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - numele clientului</dd>
<dd><code>address</code> - adresa clientului</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>1 in caz de succes, 0 in caz ca operatia esueaza</dd>
</dl>
</li>
</ul>
<a name="findById-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findById</h4>
<pre>public static&nbsp;<a href="../model/Client.html" title="class in model">Client</a>&nbsp;findById(int&nbsp;clientID)</pre>
<div class="block">Aceasta metoda face o cautare dupa id in tabela Clients, returnand clientul corespunzator id ului trimis ca parametru.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clientID</code> - id ul clientului cautat</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>clientul cautat</dd>
</dl>
</li>
</ul>
<a name="findByName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByName</h4>
<pre>public static&nbsp;int&nbsp;findByName(java.lang.String&nbsp;name)</pre>
<div class="block">Aceasta metoda face o cautarea dupa nume in tabela Clients, returnand id-ul persoanei cu numele trimis ca parametru.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - numele clientului a carui id se doreste</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>id-ul clientului cu numele dat</dd>
</dl>
</li>
</ul>
<a name="insertClient-model.Client-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertClient</h4>
<pre>public static&nbsp;int&nbsp;insertClient(<a href="../model/Client.html" title="class in model">Client</a>&nbsp;client)</pre>
<div class="block">Metoda care se ocupa de inserarea unui client in tabela Clients.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>client</code> - ul care se doreste a fi inserat</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>1 in caz de succes, 0 in caz ca operatia esueaza</dd>
</dl>
</li>
</ul>
<a name="reportClients--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>reportClients</h4>
<pre>public static&nbsp;java.sql.ResultSet&nbsp;reportClients()</pre>
<div class="block">Aceasta metoda executa "SELECT * FROM Clients" pentru a oferi mai departe toate datele din tabela Clients.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ResultSet ul interogarii</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../databaseaccess/OrderDAO.html" title="class in databaseaccess"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?databaseaccess/ClientDAO.html" target="_top">Frames</a></li>
<li><a href="ClientDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
